#ifndef C_SHD_COMP_SCREEN_H__
#define C_SHD_COMP_SCREEN_H__

#include "../cShader_CG.h"


class cShdCompScreen : public cShader_CG {
public:
	cShdCompScreen( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof );

public:
	void init_parameters() {}

protected:
	void enable_parameters() {}
	void disable_parameters() {}
};


//////////////////////////////////////////////////////////////////////////

inline
cShdCompScreen::cShdCompScreen( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof ) \
	: cShader_CG(_context, _vprof, _fprof)
{
	load_from_files( "cg_comp_screen_vert.cg", "cg_comp_screen_frag.cg" );

	return;
}


#endif
